> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apptemplate



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml get /cloud/v1/apptemplates/{project_id}/{region_id}/{apptemplate_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/apptemplates/{project_id}/{region_id}/{apptemplate_id}:
    get:
      tags:
        - Instances
      summary: Get apptemplate
      operationId: AppTemplateGetOneHandler.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            description: Region ID
            example: 1
            examples:
              - 1
            title: Region Id
            type: integer
        - in: path
          name: apptemplate_id
          required: true
          description: App template ID
          schema:
            description: App template ID
            example: tf2server
            examples:
              - tf2server
            title: Apptemplate Id
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppTemplateSerializer'
components:
  schemas:
    AppTemplateSerializer:
      properties:
        app_config:
          anyOf:
            - items:
                anyOf:
                  - $ref: '#/components/schemas/AppTemplateConfigSerializer'
                  - $ref: >-
                      #/components/schemas/AppTemplateConfigWithDefaultSerializer
              type: array
            - type: 'null'
          description: Config
          title: App Config
        category:
          description: Application category
          example: gaming
          examples:
            - gaming
          title: Category
          type: string
        description:
          description: Description
          example: tf2server.description
          examples:
            - tf2server.description
          title: Description
          type: string
        developer:
          description: Developer name
          example: Team Fortress 2 team
          examples:
            - Team Fortress 2 team
          title: Developer
          type: string
        display_name:
          description: Application display name
          example: Team Fortress 2 server
          examples:
            - Team Fortress 2 server
          title: Display Name
          type: string
        id:
          description: Application id
          example: tf2server
          examples:
            - tf2server
          title: Id
          type: string
        image_name:
          description: Image used to deploy the application
          example: ubuntu-20.04-x64
          examples:
            - ubuntu-20.04-x64
          title: Image Name
          type: string
        min_disk:
          description: Application disk requirements
          example: 30
          examples:
            - 30
          title: Min Disk
          type: integer
        min_ram:
          description: Application RAM requirements
          example: 16
          examples:
            - 16
          title: Min Ram
          type: integer
        min_vcpus:
          anyOf:
            - type: integer
            - type: 'null'
          description: Application VCPUs requirements
          examples:
            - 4
          title: Min Vcpus
        os_name:
          description: OS name
          example: Ubuntu 20.04
          examples:
            - Ubuntu 20.04
          title: Os Name
          type: string
        os_version:
          anyOf:
            - type: number
            - type: 'null'
          description: OS version
          examples:
            - 20.04
          title: Os Version
        region_id:
          anyOf:
            - type: integer
            - type: 'null'
          description: Region id
          examples:
            - 1
          title: Region Id
        short_description:
          description: Short description
          example: tf2server.short_description
          examples:
            - tf2server.short_description
          title: Short Description
          type: string
        usage:
          description: Usage
          example: tf2server.usage
          examples:
            - tf2server.usage
          title: Usage
          type: string
        version:
          description: Application version
          example: latest
          examples:
            - latest
          title: Version
          type: string
        website:
          description: Application website
          example: www.tf2server.com
          examples:
            - www.tf2server.com
          title: Website
          type: string
      required:
        - id
        - region_id
        - category
        - version
        - os_name
        - os_version
        - display_name
        - short_description
        - description
        - website
        - developer
        - image_name
        - usage
        - min_disk
        - min_vcpus
        - min_ram
        - app_config
      title: AppTemplateSerializer
      type: object
    AppTemplateConfigSerializer:
      properties:
        description:
          description: Description
          example: tf2_hostname.description
          examples:
            - tf2_hostname.description
          title: Description
          type: string
        label:
          description: Label
          example: tf2_hostname.label
          examples:
            - tf2_hostname.label
          title: Label
          type: string
        name:
          description: Name
          example: tf2_hostname
          examples:
            - tf2_hostname
          title: Name
          type: string
        required:
          description: Required
          example: true
          examples:
            - true
          title: Required
          type: boolean
        type:
          description: Type
          example: string
          examples:
            - string
          title: Type
          type: string
      required:
        - description
        - label
        - name
        - required
        - type
      title: AppTemplateConfigSerializer
      type: object
    AppTemplateConfigWithDefaultSerializer:
      properties:
        default:
          type: string
          description: Default value
          example: Server name
          examples:
            - Server name
          title: Default
        description:
          description: Description
          example: tf2_hostname.description
          examples:
            - tf2_hostname.description
          title: Description
          type: string
        label:
          description: Label
          example: tf2_hostname.label
          examples:
            - tf2_hostname.label
          title: Label
          type: string
        name:
          description: Name
          example: tf2_hostname
          examples:
            - tf2_hostname
          title: Name
          type: string
        required:
          description: Required
          example: true
          examples:
            - true
          title: Required
          type: boolean
        type:
          description: Type
          example: string
          examples:
            - string
          title: Type
          type: string
      required:
        - description
        - label
        - name
        - required
        - type
        - default
      title: AppTemplateConfigWithDefaultSerializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````